# Class CIM_RealizedOnSide
extends CIM_RealizesExtent

Since removable PhysicalMedia can be dual-sided, there is the possibility for StorageExtents to be realized on a single side of the Media. This association is a specialization of the RealizesExtent relationship, adding a Side property to express the Media's orientation details.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_Realizes
|
+--CIM_RealizesExtent
|
+--CIM_RealizedOnSide

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Since removable PhysicalMedia can be dual-sided, there is the possibility for StorageExtents to be realized on a single side of the Media. This association is a specialization of the RealizesExtent relationship, adding a Side property to express the Media's orientation details.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Side | uint16 |
Description | string | An enumeration expressing on which 'Side' the Extent is realized. Since sides can be named by various schemes (0/1 or A/B), both schemes are expressed in the Values array of this property.
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Side 0, Side 1, Side A, Side B

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RealizedOnSide | CIM_PhysicalMedia
Dependent | CIM_RealizedOnSide | CIM_StorageExtent

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
StartingAddress | uint64 | CIM_RealizesExtent

## Class Methods